Xerces-C++: XMLMutexMgr Class Reference

Xerces-C++ 3.2.1

Public Member Functions | List of all members
XMLMutexMgr Class Referenceabstract
Inheritance diagram for XMLMutexMgr:

## Public Member Functions
| XMLMutexMgr ()
virtual | ~XMLMutexMgr ()
virtual XMLMutexHandle | create (MemoryManager *const manager)=0
virtual void | destroy (XMLMutexHandle mtx, MemoryManager *const manager)=0
virtual void | lock (XMLMutexHandle mtx)=0
virtual void | unlock (XMLMutexHandle mtx)=0
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## ◆ XMLMutexMgr()

XMLMutexMgr::XMLMutexMgr | ( |  | ) |

## ◆ ~XMLMutexMgr()

virtual XMLMutexMgr::~XMLMutexMgr | ( |  | ) |
| virtual

References create(), destroy(), lock(), unlock(), XERCES_CPP_NAMESPACE_END, and XMLMutexHandle.

## Member Function Documentation

## ◆ create()

virtual XMLMutexHandle XMLMutexMgr::create | ( | MemoryManager *const | manager | ) |
| pure virtual

Referenced by ~XMLMutexMgr().

## ◆ destroy()

virtual void XMLMutexMgr::destroy | ( | XMLMutexHandle | mtx,
|  | MemoryManager *const | manager
| ) |  |
| pure virtual

Referenced by ~XMLMutexMgr().

## ◆ lock()

virtual void XMLMutexMgr::lock | ( | XMLMutexHandle | mtx | ) |
| pure virtual

Referenced by ~XMLMutexMgr().

## ◆ unlock()

virtual void XMLMutexMgr::unlock | ( | XMLMutexHandle | mtx | ) |
| pure virtual

Referenced by ~XMLMutexMgr().

The documentation for this class was generated from the following file:

- XMLMutexMgr.hpp